<template lang="pug">
  z-button.btn-action(
    circle
    @click="notImplemented($t('quick search'))"
    v-shortkey.once="{ long: ['ctrl', 's'], short: ['s'], classic: ['/'] }"
    @shortkey.native="notImplemented($t('quick search'))"
  )
    z-icon(name="search")
</template>

<script>
export default {
  methods: {
    notImplemented(functionality) {
      this.$toast.show(
        this.$i18n.t('unimplemented functionality', { name: functionality }),
        {
          icon: 'warning'
        }
      )
    }
  }
}
</script>
